Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.formatter
Class XHTMLFormatter

    java.lang.Object
      |
      +--org.apache.cocoon.formatter.AbstractFormatter
            |
            +--org.apache.cocoon.formatter.XHTMLFormatter

All Implemented Interfaces:
  Cacheable, Configurable, Formatter, Status

public class XHTMLFormatter
extends AbstractFormatter

This formatter is used to serialize XHTML content. The difference between this formatter and the XMLFormatter is that while the XML formatter doesn't have any semantic information about the document type being formatted, this class handles tags like <br/> and transforms them to XHTML that non-XML-aware browsers can understand (for example, < br/>).

Version:
  $Revision: 1.1 $ $Date: 2000/04/20 22:12:04 $
Author:
  Stefano Mazzocchi

Fields inherited from class org.apache.cocoon.formatter.AbstractFormatter
`doctypePublic, doctypeSystem, encoding, format, indent, lineWidth, MIMEtype, preserveSpace, statusMessage`

Constructor Summary
`XHTMLFormatter()`

Method Summary
`void` | `format(org.w3c.dom.Document document, java.io.Writer writer, java.util.Dictionary p)` Prints the give document into a page.
`void` | `init(Configurations conf)` Initialize the class by passing its configurations.

Methods inherited from class org.apache.cocoon.formatter.AbstractFormatter
`getEncoding, getMIMEType, getStatus, isCacheable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XHTMLFormatter

    public XHTMLFormatter()

Method Detail

### init

    public void init(Configurations conf)

  Description copied from interface: `Configurable`
  Initialize the class by passing its configurations.
  Overrides:
    `init` in class `AbstractFormatter`

### format

    public void format(org.w3c.dom.Document document,
                       java.io.Writer writer,
                       java.util.Dictionary p)
                throws java.lang.Exception

  Description copied from interface: `Formatter`
  Prints the give document into a page.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.